//
// Created by sebastian on 09.02.26.
//

#ifndef GUIRENDERER_H
#define GUIRENDERER_H
#include <memory>
#include <vector>

#include "../core/gui/uiComponent/UiRenderBundle.h"
#include "model/GUITexture.h"
#include "model/RawModel.h"
#include "shaders/GUIShader.h"


class Loader;

class GUIRenderer {
private:
    std::unique_ptr<RawModel> rawModel;
public:
    GUIShader guiShader;
    explicit GUIRenderer(Loader& loader);
    void render(std::vector<std::shared_ptr<GUITexture>> &gui_textures);

    void cleanUp();
};




#endif //GUIRENDERER_H
